Quote Originally Posted by Kilz View Post
Sometimes errors happen when creating packages, if the deb file says 2.0.0.14, it should be 2.0.0.14. To make sure of the version you have installed click Help and About Firefox. You will see the version information there.
The package insists it's x.14. It lies and installes x.13. I have verified this by checking "Help" -> "About Firefox".